require 'rubygems'
require 'bundler/setup'

if ENV['COVERAGE'] == 'true'
  require 'simplecov'

  SimpleCov.formatter = SimpleCov::Formatter::MultiFormatter[
    SimpleCov::Formatter::HTMLFormatter,
  ]

  SimpleCov.start do
    command_name 'test'
    add_filter   'test'
  end
end

require 'minitest/autorun'
$:.unshift 'lib'
require 'groff_parser/document'
require 'groff_parser/engine'

# Allow usage of 'context' like 'describe'
module MiniTest
  class Spec
    class << self
      alias_method :context, :describe
    end
  end
end
